spring:
   redis:
      host: 154.8.236.82
      port: 6379
      password: hhx
      database: 3
      ssl: false
   autoconfigure:
      exclude: com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure
   datasource:
      dynamic:
         druid:
# MySql、PostgreSQL、SqlServer校验
            validation-query: select 1
            validation-query-timeout: 2000
            initial-size: 0
            max-active: 20
            min-idle: 5
            max-wait: 60000
            test-on-borrow: false
            test-on-return: false
            test-while-idle: true
            time-between-eviction-runs-millis: 60000
            min-evictable-idle-time-millis: 300000
            stat-view-servlet:
               enabled: true
               login-username: blade
               login-password: 1qaz@WSX
            web-stat-filter:
               enabled: true
               url-pattern: /*
               exclusions: '*.js,*.gif,*.jpg,*.bmp,*.png,*.css,*.ico,/druid/*'
               session-stat-enable: true
               session-stat-max-count: 10
            filters: stat
#设置默认的数据源或者数据源组,默认值即master
         primary: master
         datasource:
            master:
               driver-class-name: com.mysql.cj.jdbc.Driver
               url: jdbc:mysql://10.0.17.84:32001/dataplatform?useSSL=false&useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&transformedBitIsBoolean=true&serverTimezone=GMT%2B8&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
               username: kalaba
               password: KalabaGongjueW8*
#            oracle108:
#               url: jdbc:oracle:thin:@10.0.17.108:8093/cs1747
#               username: YYOS
#               password: Mldsi3_hsyE9_8ekV_234dsLP
#               druid:
#                  validation-query: select 1 from dual
#                  test-while-idle: false
#                  initial-size: 0
            clickhouse:
               driver-class-name: com.clickhouse.jdbc.ClickHouseDriver
               url: jdbc:clickhouse://10.0.17.152:8123/ads?socket_timeout=30000000&batchsize=50000&numPartitions=1&rewriteBatchedStatements=true
               username: default
               password: ltbiydhao66
            clickhouse91:
               driver-class-name: com.clickhouse.jdbc.ClickHouseDriver
               url: jdbc:clickhouse://10.0.17.50:8123/ads?socket_timeout=30000000&batchsize=50000&numPartitions=1&rewriteBatchedStatements=true
               username: default
               password: ltbiydhao66
dflow:
   use-debug: true
   #如果设置为true 会执行删除 更新 插入操作！！，flase只会打印sql
   run-execute: false
   flat-temp-table-name: Z_USER_TAG_FLAT_temp_dev
   flat-clu-table-name: Z_USER_TAG_FLAT_clu1_dev
   flat-all-view-name: ads.Z_USER_TAG_FLAT_ALL_dev
   
dbcluster:
   #确保第一个是（源数据地址） 它会向（目标地址）分发
   clickhouse:
      10.0.1.135,
      10.0.1.150,
      10.0.1.14